import { marketVersion } from "./contracts";
export declare const SatScaling: number;
export declare type balance = {
    liquidity: number;
    shares: number[];
};
export declare function lmsr(balance: balance): number;
export declare function lmsrFixed(balance: balance): bigint;
export declare function lmsrFixedOld(balance: balance): number;
export declare function getProbability(balance: balance, shares: number): number;
export declare function getLmsrSats(balance: balance): number;
export declare function getLmsrSatsFixed(balance: balance, version: marketVersion): number;
